package com.abi.qms.platform.infrastructure.util;

import lombok.extern.slf4j.Slf4j;
import org.springframework.amqp.rabbit.core.RabbitTemplate;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

import java.text.MessageFormat;

/**
 * @className: com.abi.qms.platform.infrastructure.util-> RabbitMqUtils
 * @description:
 * @author: Marko.W
 * @createDate: 2021-06-29 21:09
 * @version: 1.0
 * @todo:
 */
@Component
@Slf4j
public class RabbitMqUtils {

    @Autowired
    @Qualifier("qmsRabbitTemplate")
    private RabbitTemplate amqpTemplate;

    @Value("${spring.profiles.active:local}")
    private String env;


    public void sendMessage(String routingKey,Object o){
        amqpTemplate.convertAndSend(MessageFormat.format("{0}_{1}",routingKey,env),o);
    }



}
